$(function () {

	/******************************************************************************/
	/* start: valida formulario de ventas
	/******************************************************************************/

    $('#frmNuevo').form({
      keyboardShortcuts: false,
    	fields: {
		    id_local: {
		        rules: [{ type : 'empty', prompt : 'Seleccione una opción'}]
		    },

		    tipo_egreso: {
		        rules: [{ type : 'empty', prompt : 'Seleccione una opción'}]
		    },

		    concepto: {
		        rules: [{ type : 'empty', prompt : 'Seleccione una opción'}]
		    },

        descripcion: {
            rules: [{ type : 'empty', prompt : 'Complete este campo'}]
        },

        concepto: {
            rules: [{ type : 'empty', prompt : 'Seleccione una opción'}]
        },

        tipo_comprobante: {
          depends: 'numero_comprobante',
            rules: [{ type : 'empty', prompt : 'Seleccione una opción'}]
        },

        numero_comprobante: {
          depends: 'tipo_comprobante',
            rules: [{ type : 'empty', prompt : 'Complete este campo'}]
        },

        monto: {
            rules: [
              { type : 'empty', prompt : 'Complete este campo'},
              { type   : 'regExp[/^[0-9]+([\.]{1}[0-9]+)?$/]', prompt : 'Ingrese un valor valido'},
            ]
        },

    	},
    	inline : true,
	});

  	$('.btn_registrar').on('click', function() {
  		
  		if ($('#frmNuevo').form('is valid')) {
			$('#register_modal').modal({
  				closable: false,
		    	onApprove : function() {
		    		sendForm();
			    }
	  		}).modal('show');  
		} else {
			$('#frmNuevo').form('validate form');
		}

  	});	

  	function sendForm() {

	    var data = $('#frmNuevo').serialize();
	 	
        $.requestApi('/egreso/registrar', data, 'POST', function (resolve) {
	        if (resolve) {
	            $.showMessages(resolve, true, APP_URL+'/egreso/detalles/'+resolve.id_egreso);
	        }
	    });
  
        return false;
	};

});
